package pobyty;

import javax.servlet.http.HttpServletRequest;
import org.smp.SmpException;
import org.smp.conf.Configuration;
import org.smp.conf.DefaultConfiguration;
import org.smp.elements.ElementRenderer;
import pobyty.elementy.DatumElement;
import pobyty.model.uzivatel.Uzivatel;

public class Konfigurace extends DefaultConfiguration {

    @Override
    public ElementRenderer elementRenderer(String elementName, String elementNamespaceURI) {
        if ("time".equals(elementName) && elementNamespaceURI.equals(Configuration.SMP_NS)) {
            return DatumElement.getInstance();
        }
        return super.elementRenderer(elementName, elementNamespaceURI);
    }

    @Override
    public String pagesPackage() {
        return "pobyty.stranky";
    }

    @Override
    public boolean isDebug() {
        return false;
    }

    @Override
    public void isAllowed(String resource, HttpServletRequest request) throws SmpException {
        Uzivatel uzivatel = (Uzivatel) request.getSession().getAttribute(Uzivatel.USER);
        if (uzivatel == Uzivatel.KOORDINATOR) {
            return;
        }
        if (resource.startsWith("/Index")) {
            return;
        }
        if (resource.startsWith("/referentcast/ReferentHlavni")) {
            return;
        }
        if (resource.startsWith("/referentcast/LoginForm")) {
            return;
        }
        if (resource.startsWith("/klientcast")) {
        }
    }
}
