package pobyty.akce.klientcast;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import org.smp.pages.Page;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Poznamka;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.klient.Indikace;
import pobyty.model.klient.KlientId;
import pobyty.model.klient.Kontraindikace;
import pobyty.model.prihlaska.Prihlaska;
import pobyty.model.turnus.TurnusId;

public class EditFormularAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        KlientId klientId = new KlientId(getParameter("klientId"));
        Map<String, Object> errorsMap = new HashMap<>();
        Prijmeni prijmeni = validateItem(Prijmeni.class, errorsMap);
        Jmeno jmeno = validateItem(Jmeno.class, errorsMap);
        Datum narozeni = validateItem(Datum.class, errorsMap, "narozeni");
        Mejl mejl = validateItem(Mejl.class, errorsMap);
        Ulice ulice = validateItem(Ulice.class, errorsMap);
        Psc psc = validateItem(Psc.class, errorsMap);
        Mesto mesto = validateItem(Mesto.class, errorsMap);
        Telefon telefon = validateItem(Telefon.class, errorsMap);
        Indikace indikace = validateItem(Indikace.class, errorsMap);
        Kontraindikace kontraindikace = validateItem(Kontraindikace.class, errorsMap);
        Prihlaska prihlaska = Facade.getInstance().findPrihlaska(klientId);
        if (prihlaska != null) {
            TurnusId turnusId = validateItem(TurnusId.class, errorsMap);
            Poznamka poznamka = validateItem(Poznamka.class, errorsMap);
            if (errorsMap.isEmpty()) {
                Facade.getInstance().updatePrihlaska(prihlaska.getKlientId(), turnusId, poznamka);
            }
        }
        if (errorsMap.isEmpty()) {
            Facade.getInstance().updateKlient(klientId, prijmeni, jmeno, narozeni, mejl, ulice, psc, mesto, telefon, indikace, kontraindikace);
            redirect("/klientcast/KlientHlavni.xhtml");
        } else {
            Page pageBean = createPageBean("/klientcast/EditFormular.xhtml");
            requestParamsToMap(errorsMap);
            pageBean.pushBean(errorsMap);
            forward(pageBean);
        }
    }
}
