package pobyty.akce.klientcast;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Poznamka;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.klient.Indikace;
import pobyty.model.klient.KlientId;
import pobyty.model.klient.Kontraindikace;
import pobyty.model.turnus.TurnusId;
import pobyty.stranky.klientcast.NovyKlientFormular;
import pobyty.stranky.klientcast.PotvrzeniFormular;

public class NovyKlientFormularAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, Object> errorsMap = new HashMap<>();
        Prijmeni prijmeni = validateItem(Prijmeni.class, errorsMap);
        Jmeno jmeno = validateItem(Jmeno.class, errorsMap);
        Datum narozeni = validateItem(Datum.class, errorsMap, "narozeni");
        validateItem(Prijmeni.class, errorsMap);
        Mejl mejl = validateItem(Mejl.class, errorsMap);
        Ulice ulice = validateItem(Ulice.class, errorsMap);
        Psc psc = validateItem(Psc.class, errorsMap);
        Mesto mesto = validateItem(Mesto.class, errorsMap);
        Telefon telefon = validateItem(Telefon.class, errorsMap);
        Indikace indikace = validateItem(Indikace.class, errorsMap);
        Kontraindikace kontraindikace = validateItem(Kontraindikace.class, errorsMap);
        TurnusId turnusId = validateItem(TurnusId.class, errorsMap);
        Poznamka poznamka = validateItem(Poznamka.class, errorsMap);
        KlientId klientId = validateItem(KlientId.class, errorsMap);
        if (errorsMap.isEmpty()) {
            if (Facade.getInstance().findKlient(klientId) != null) {
                errorsMap.put("errorKlientId", "Zadaný ID kód byl již použit, zvolte jiný kód.");
            }
        }
        if (errorsMap.isEmpty()) {
            Facade.getInstance().addKlient(klientId, prijmeni, jmeno, narozeni, mejl, ulice, psc, mesto, telefon, indikace, kontraindikace);
            Facade.getInstance().addPrihlaska(klientId, turnusId, poznamka);
            PotvrzeniFormular pageBean = (PotvrzeniFormular) createPageBean("/klientcast/PotvrzeniFormular.xhtml");
            pageBean.putItem("klientId", klientId);
            forward(pageBean);
        } else {
            NovyKlientFormular pageBean = (NovyKlientFormular) createPageBean("/klientcast/NovyKlientFormular.xhtml");
            requestParamsToMap(errorsMap);
            pageBean.pushBean(errorsMap);
            forward(pageBean);
        }
    }
}
