package pobyty.akce.referentcast.doprovod;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.doprovod.DoprovodId;
import pobyty.stranky.referentcast.doprovod.EditDoprovod;

public class EditDoprovodAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, Object> errorsMap = new HashMap<>();
        DoprovodId doprovodId = new DoprovodId(getIntParameter("doprovodId"));
        Prijmeni prijmeni = validateItem(Prijmeni.class, errorsMap);
        Jmeno jmeno = validateItem(Jmeno.class, errorsMap);
        Mejl mejl = validateItem(Mejl.class, errorsMap);
        Psc psc = validateItem(Psc.class, errorsMap);
        Ulice ulice = validateItem(Ulice.class, errorsMap);
        Mesto mesto = validateItem(Mesto.class, errorsMap);
        Telefon telefon = validateItem(Telefon.class, errorsMap);
        if (errorsMap.isEmpty()) {
            Facade.getInstance().updateDoprovod(doprovodId, prijmeni, jmeno, mejl, ulice, mesto, psc, telefon);
            redirect("/referentcast/doprovod/TabDoprovod.xhtml");
        } else {
            EditDoprovod page = (EditDoprovod) createPageBean("/referentcast/doprovod/EditDoprovod.xhtml");
            requestParamsToMap(errorsMap);
            page.pushBean(errorsMap);
            forward(page);
        }
    }
}
