package pobyty.akce.referentcast.prihlaska;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.Poznamka;
import pobyty.model.klient.KlientId;
import pobyty.model.prihlaska.StavPrihlasky;
import pobyty.model.turnus.TurnusId;
import pobyty.stranky.referentcast.prihlaska.EditPrihlaska;

public class EditPrihlaskaAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, Object> errorsMap = new HashMap<>();
        TurnusId turnusId = new TurnusId(Integer.parseInt(getParameter("turnusId")));
        KlientId klientId = new KlientId(getParameter("klientId"));
        StavPrihlasky stav = validateItem(StavPrihlasky.class, errorsMap);
        Poznamka poznamka = validateItem(Poznamka.class, errorsMap);
        if (errorsMap.isEmpty()) {
            Facade.getInstance().updatePrihlaska(klientId, turnusId, stav, poznamka);
            redirect("/referentcast/prihlaska/TabPrihlaska.xhtml");
        } else {
            EditPrihlaska pageBean = (EditPrihlaska) createPageBean("/referentcast/prihlaska/EditPrihlaska.xhtml");
            requestParamsToMap(errorsMap);
            pageBean.pushBean(errorsMap);
            forward(pageBean);
        }
    }
}
