package pobyty.akce.referentcast.skupina;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import org.smp.pages.Page;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.doprovod.DoprovodId;
import pobyty.model.skupina.VekKlientu;
import pobyty.model.turnus.TurnusId;

public class PridatSkupinaAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, Object> errorsMap = new HashMap<>();
        VekKlientu vekKlientu = validateItem(VekKlientu.class, errorsMap);
        TurnusId turnusId = new TurnusId(getIntParameter("turnusId"));
        DoprovodId doprovodId = findDoprovod(errorsMap);
        if (errorsMap.isEmpty()) {
            Facade.getInstance().addSkupina(turnusId, vekKlientu, doprovodId);
            redirect("/referentcast/turnus/skupina/TabSkupina.xhtml?turnusId=" + turnusId);
        } else {
            Page bean = createPageBean("/referentcast/turnus/skupina/AddSkupina.xhtml");
            requestParamsToMap(errorsMap);
            bean.pushBean(errorsMap);
            forward(bean);
        }
    }
}
