package pobyty.akce.referentcast.turnus;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.Datum;
import pobyty.model.turnus.Cena;
import pobyty.model.turnus.Kapacita;
import pobyty.model.turnus.Lokalita;
import pobyty.model.turnus.TurnusId;
import pobyty.model.turnus.Zkratka;
import pobyty.stranky.referentcast.turnus.EditTurnus;

public class EditTurnusAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, Object> errorsMap = new HashMap<>();
        TurnusId turnusId = new TurnusId(getIntParameter("turnusId"));
        Datum zacatek = validateItem(Datum.class, errorsMap, "zacatek");
        Datum konec = validateItem(Datum.class, errorsMap, "konec");
        Cena cena = validateItem(Cena.class, errorsMap);
        Lokalita lokalita = validateItem(Lokalita.class, errorsMap);
        Kapacita kapacita = validateItem(Kapacita.class, errorsMap);
        Zkratka zkratka = validateItem(Zkratka.class, errorsMap);
        if (errorsMap.isEmpty()) {
            Facade.getInstance().updateTurnus(turnusId, zkratka, zacatek, konec, lokalita, cena, kapacita);
            redirect("/referentcast/turnus/TabTurnus.xhtml");
        } else {
            EditTurnus pageBean = (EditTurnus) createPageBean("/referentcast/turnus/EditTurnus.xhtml");
            requestParamsToMap(errorsMap);
            pageBean.pushBean(errorsMap);
            forward(pageBean);
        }
    }
}
