package pobyty.akce.referentcast.turnus;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.Datum;
import pobyty.model.turnus.Cena;
import pobyty.model.turnus.Kapacita;
import pobyty.model.turnus.Lokalita;
import pobyty.model.turnus.Zkratka;
import pobyty.stranky.referentcast.turnus.AddTurnus;

public class PridatTurnusAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, Object> errorsMap = new HashMap<>();
        Datum zacatek = validateItem(Datum.class, errorsMap, "zacatek");
        Datum konec = validateItem(Datum.class, errorsMap, "konec");
        Cena cena = validateItem(Cena.class, errorsMap);
        Lokalita lokalita = validateItem(Lokalita.class, errorsMap);
        Kapacita kapacita = validateItem(Kapacita.class, errorsMap);
        Zkratka zkratka = validateItem(Zkratka.class, errorsMap);
        if (errorsMap.isEmpty()) {
            Facade.getInstance().addTurnus(zacatek, konec, lokalita, cena, kapacita, zkratka);
            redirect("/referentcast/turnus/TabTurnus.xhtml");
        } else {
            AddTurnus addTurnusBean = (AddTurnus) createPageBean("/referentcast/turnus/AddTurnus.xhtml");
            requestParamsToMap(errorsMap);  // repopulace parametrů
            addTurnusBean.pushBean(errorsMap);
            forward(addTurnusBean);
        }
    }
}
