package pobyty.business;

import java.util.*;
import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.doprovod.Doprovod;
import pobyty.model.doprovod.DoprovodId;

class DoprovodDAOImpl implements DoprovodDAO {

    private NavigableMap<DoprovodId, Doprovod> doprovody = new TreeMap<>();

    public DoprovodDAOImpl() {
        DoprovodyInit.init();
    }

    @Override
    public Doprovod find(DoprovodId doprovodId) {
        return doprovody.get(doprovodId);
    }

    private void putReferent(Doprovod o) {
        doprovody.put(o.getDoprovodId(), o);
    }

    @Override
    public List<Doprovod> all() {
        return new ArrayList<>(doprovody.values());
    }

    @Override
    public void update(DoprovodId doprovodId, Prijmeni prijmeni, Jmeno jmeno,
            Mejl mejl, Ulice ulice, Mesto mesto, Psc psc, Telefon telefon) throws SmpException {

        Doprovod d = find(doprovodId);
        d.setMejl(mejl);
        d.setUlice(ulice);
        d.setPsc(psc);
        d.setMesto(mesto);
        d.setTelefon(telefon);

    }

    @Override
    public void delete(DoprovodId doprovodId) {
        doprovody.remove(doprovodId);
    }

    @Override
    public void add(Prijmeni prijmeni, Jmeno jmeno, Datum narozeni, Mejl mejl, Ulice ulice, Mesto mesto, Psc psc, Telefon telefon) {
        doprovody.lastKey().getAbstrtId();
        Doprovod doprovod = new Doprovod(new DoprovodId(doprovody.lastKey().getAbstrtId() + 1), prijmeni, jmeno, narozeni, mejl, ulice, mesto, psc, telefon);
        doprovody.put(doprovod.getDoprovodId(), doprovod);
    }
}
