package pobyty.business;

import java.util.List;
import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.PobytyIntegrityException;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.klient.Indikace;
import pobyty.model.klient.Klient;
import pobyty.model.klient.KlientId;
import pobyty.model.klient.Kontraindikace;

public interface KlientDAO {

    void add(KlientId klientId, Prijmeni prijmeni, Jmeno jmeno, Datum narozeni,
            Mejl mejl, Ulice ulice, Psc psc, Mesto mesto, Telefon telefon,
            Indikace indikace, Kontraindikace kontraindikace) throws SmpException;

    Klient find(KlientId id) throws SmpException;

    List<Klient> all() throws SmpException;

    void update(KlientId klientId, Mejl mejl, Ulice ulice, Psc psc, Mesto mesto,
            Telefon telefon, Indikace indikace, Kontraindikace kontraindikace) throws SmpException;

    void update(KlientId klientId, Prijmeni prijmeni, Jmeno jmeno, Datum narozeni,
            Mejl mejl, Ulice ulice, Psc psc, Mesto mesto,
            Telefon telefon, Indikace indikace, Kontraindikace kontraindikace) throws SmpException;

    void delete(KlientId id) throws SmpException, PobytyIntegrityException;
}
