package pobyty.business;

import java.util.*;
import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.klient.Indikace;
import pobyty.model.klient.Klient;
import pobyty.model.klient.KlientId;
import pobyty.model.klient.Kontraindikace;

public class KlientDAOImpl implements KlientDAO {

    private Map<KlientId, Klient> klienti = new HashMap<>();
    private List<Klient> klientList = new ArrayList<>();

    public KlientDAOImpl() {
        KlientiInit.init();
    }

    @Override
    public void add(KlientId klientId, Prijmeni prijmeni, Jmeno jmeno, Datum narozeni,
            Mejl mejl, Ulice ulice, Psc psc, Mesto mesto, Telefon telefon,
            Indikace indikace, Kontraindikace kontraindikace) {
        Klient klient = new Klient(klientId, prijmeni, jmeno, narozeni, mejl, ulice, mesto, psc, telefon, indikace, kontraindikace);
        klienti.put(klientId, klient);
    }

    @Override
    public Klient find(KlientId id) {
        return klienti.get(id);
    }

    private void putKlient(Klient o) {
        klienti.put(o.getKlientId(), o);
    }

    public List<Klient> getKlienti(int from, int count) {
        return klientList.subList(from, Math.min(from + count, klienti.size()));
    }

    @Override
    public List<Klient> all() {
        return klientList;
    }

    @Override
    public void update(KlientId klientId, Mejl mejl, Ulice ulice, Psc psc, Mesto mesto, Telefon telefon, Indikace indikace, Kontraindikace kontraindikace) {
        Klient klient = find(klientId);
        klient.setMejl(mejl);
        klient.setUlice(ulice);
        klient.setPsc(psc);
        klient.setMesto(mesto);
        klient.setTelefon(telefon);
        klient.setIndikace(indikace);
        klient.setKontraindikace(kontraindikace);
    }

    @Override
    public void delete(KlientId id) {
        Klient k = find(id);
        klienti.remove(id);
        klientList.remove(k);
    }

    public void sortByName() {
    }

    @Override
    public void update(KlientId klientId, Prijmeni prijmeni, Jmeno jmeno, Datum narozeni, Mejl mejl, Ulice ulice, Psc psc, Mesto mesto, Telefon telefon, Indikace indikace, Kontraindikace kontraindikace) throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
