package pobyty.business;

import java.util.logging.Level;
import java.util.logging.Logger;
import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.klient.Indikace;
import pobyty.model.klient.KlientId;
import pobyty.model.klient.Kontraindikace;

public class KlientiInit {

    static KlientDAOImpl instance;

    private static void putKlient(String prijmeni, String jmeno,
            String narozeni, String mejl, String ulice, String psc, String mesto,
            String telefon, Indikace indikace, Kontraindikace kontraindikace) {
        try {
            KlientId klientIdx = new KlientId(genId());
            Prijmeni prijmenix = Prijmeni.validate(prijmeni);
            Jmeno jmenox = Jmeno.validate(jmeno);
            Datum narozenix = Datum.validate(narozeni);
            Mejl mejlx = Mejl.validate(mejl);
            Ulice ulicex = Ulice.validate(ulice);
            Psc pscx = Psc.validate(psc);
            Mesto mestox = Mesto.validate(mesto);
            Telefon telefonx = Telefon.validate(telefon);
            Facade.getInstance().addKlient(klientIdx, prijmenix, jmenox, narozenix, mejlx, ulicex, pscx, mestox, telefonx, indikace, kontraindikace);
        } catch (SmpException ex) {
            Logger.getLogger(KlientiInit.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    private static int c;

    private static String genId() {
        return "klient" + ++c;
    }

    public static void init() {
        putKlient("Novák", "Jan", "1.1.2000", "mejl@aa", "Nová 25", "12345", "Praha", "12345", Indikace.ASTMA, Kontraindikace.DIETA);
        putKlient("Horák", "Pavel", "1.10.2000", "mejl@aa", "Nová 25", "12345", "Praha", "777666555", Indikace.ASTMA, Kontraindikace.DIETA);
        putKlient("Janda", "Radko", "16.5.2000", "mejl@aa", "Nová 25", "12345", "Praha", "777666555", Indikace.ASTMA, Kontraindikace.DIETA);
        putKlient("Kohoutek", "Ladislav", "5.2.2000", "mejl@aa", "Nová 25", "12345", "Praha", "777666555", Indikace.ASTMA, Kontraindikace.DIETA);
        putKlient("Mužík", "Ivo", "6.12.2000", "mejl@aa", "Nová 25", "12345", "Praha", "777666555", Indikace.ASTMA, Kontraindikace.DIETA);
        //10
        putKlient("Jandová", "Jana", "2.12.2005",
                "mejl@aa", "Přívoz 4", "12345",
                "Praha", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Adámková", "Tereza", "2.2.2005",
                "mejl@aa", "Přívoz 4", "12345",
                "Praha", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Malá", "Iveta", "6.8.2005",
                "mejl@aa", "Přívoz 4", "12345",
                "Praha", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Kánská", "Karolína", "3.3.2005",
                "mejl@aa", "Přívoz 4", "12345",
                "Praha", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Nováková", "Simona", "16.5.2005",
                "mejl@aa", "Přívoz 4", "12345",
                "Praha", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);
        //15
        putKlient("Vaněk", "Miroslav", "4.4.2004",
                "mejl@aa", "Osek 5", "56789",
                "Osek", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.JINE);

        putKlient("Goš", "Bob", "14.5.2004",
                "mejl@aa", "Osek 5", "56789",
                "Osek", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.JINE);

        putKlient("Zima", "Tomáš", "18.9.2004",
                "mejl@aa", "Osek 5", "56789",
                "Osek", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.JINE);

        putKlient("Brč", "Jan", "20.1.2004",
                "mejl@aa", "Osek 5", "56789",
                "Osek", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.JINE);

        putKlient("Kruh", "Jiří", "8.8.2004",
                "mejl@aa", "Osek 5", "56789",
                "Osek", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.JINE);
        //20
        putKlient("Králová", "Adéla", "8.3.1996",
                "mejl@aa", "Nové nám. 467", "34567",
                "Česká Lípa", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.SNIZENA_POHYBLIVOST);

        putKlient("Vodová", "Yveta", "18.12.1996",
                "mejl@aa", "Nové nám. 467", "34567",
                "Česká Lípa", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.SNIZENA_POHYBLIVOST);

        putKlient("Tvarohová", "Lada", "1.2.1996",
                "mejl@aa", "Nové nám. 467", "34567",
                "Česká Lípa", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.SNIZENA_POHYBLIVOST);

        putKlient("Jandová", "Martina", "4.1.1996",
                "mejl@aa", "Nové nám. 467", "34567",
                "Česká Lípa", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.SNIZENA_POHYBLIVOST);

        putKlient("Fialová", "Jindra", "6.6.1996",
                "mejl@aa", "Nové nám. 467", "34567",
                "Česká Lípa", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.SNIZENA_POHYBLIVOST);
        //25
        putKlient("Fuchs", "Petr", "4.7.1998",
                "mejl@aa", "Kočičí Lhota 8", "98765",
                "Kočičí Lhota", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.POMOCOVANI);

        putKlient("Brzák", "Karel", "25.4.1998",
                "mejl@aa", "Kočičí Lhota 8", "98765",
                "Kočičí Lhota", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.POMOCOVANI);

        putKlient("Fiala", "Tomáš", "20.5.1998",
                "mejl@aa", "Kočičí Lhota 8", "98765",
                "Kočičí Lhota", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.POMOCOVANI);

        putKlient("Candát", "Viktor", "15.9.1998",
                "mejl@aa", "Kočičí Lhota 8", "98765",
                "Kočičí Lhota", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.POMOCOVANI);

        putKlient("Brynda", "Jáchym", "10.10.1998",
                "mejl@aa", "Kočičí Lhota 8", "98765",
                "Kočičí Lhota", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.POMOCOVANI);
        //30
        putKlient("Kalivodová", "Aneta", "15.10.2002",
                "mejl@aa", "Běžecká 98", "45678",
                "Brno", "777666555", Indikace.ASTMA,
                Kontraindikace.JINE);

        putKlient("Maturová", "Ivana", "20.5.2002",
                "mejl@aa", "Běžecká 98", "45678",
                "Brno", "777666555", Indikace.ASTMA,
                Kontraindikace.JINE);

        putKlient("Švandová", "Týna", "6.4.2002",
                "mejl@aa", "Běžecká 98", "45678",
                "Brno", "777666555", Indikace.ASTMA,
                Kontraindikace.JINE);

        putKlient("Davidová", "Dita", "7.9.2002",
                "mejl@aa", "Běžecká 98", "45678",
                "Brno", "777666555", Indikace.ASTMA,
                Kontraindikace.JINE);

        putKlient("Kánská", "Anna", "10.1.2002",
                "mejl@aa", "Běžecká 98", "45678",
                "Brno", "777666555", Indikace.ASTMA,
                Kontraindikace.JINE);
        //35
        putKlient("Danda", "Dan", "6.4.2003",
                "mejl@aa", "Kruhová 425", "23456",
                "Ostrava", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Loupák", "Martin", "16.3.2003",
                "mejl@aa", "Kruhová 425", "23456",
                "Ostrava", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Maštalíř", "Filip", "14.7.2003",
                "mejl@aa", "Kruhová 425", "23456",
                "Ostrava", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Miler", "Kristián", "3.12.2003",
                "mejl@aa", "Kruhová 425", "23456",
                "Ostrava", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Olgoj", "Olin", "17.8.2003",
                "mejl@aa", "Kruhová 425", "23456",
                "Ostrava", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);
        //40
        putKlient("Zachová", "Zlata", "9.1.2001",
                "mejl@aa", "Vysoké nad Jizerou 7", "12345",
                "Vysoké nad Jizerou", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.MENTALNI_RETARDACE);

        putKlient("Urdová", "Jiřina", "11.9.2001",
                "mejl@aa", "Vysoké nad Jizerou 7", "12345",
                "Vysoké nad Jizerou", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.MENTALNI_RETARDACE);

        putKlient("Michnová", "Františka", "14.5.2001",
                "mejl@aa", "Vysoké nad Jizerou 7", "12345",
                "Vysoké nad Jizerou", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.MENTALNI_RETARDACE);

        putKlient("Radová", "Karla", "17.3.2001",
                "mejl@aa", "Vysoké nad Jizerou 7", "12345",
                "Vysoké nad Jizerou", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.MENTALNI_RETARDACE);

        putKlient("Drozdová", "Dana", "24.10.2001",
                "mejl@aa", "Vysoké nad Jizerou 7", "12345",
                "Vysoké nad Jizerou", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.MENTALNI_RETARDACE);
        //45
        putKlient("Sysel", "Quido", "8.6.1997",
                "mejl@aa", "Zámecká 8", "67543",
                "Kroměříž", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.DIETA);

        putKlient("Krtek", "Tom", "15.7.1997",
                "mejl@aa", "Zámecká 8", "67543",
                "Kroměříž", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.DIETA);

        putKlient("Roušar", "Milan", "24.8.1997",
                "mejl@aa", "Zámecká 8", "67543",
                "Kroměříž", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.DIETA);

        putKlient("Trachta", "Pavel", "8.12.1997",
                "mejl@aa", "Zámecká 8", "67543",
                "Kroměříž", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.DIETA);

        putKlient("Adámek", "Adam", "6.10.1997",
                "mejl@aa", "Zámecká 8", "67543",
                "Kroměříž", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.DIETA);
        //50
        putKlient("Vaňková", "Jana", "10.8.2001",
                "mejl@aa", "Sněhová 25", "34567",
                "Ústí nad Labem", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.CUKROVKA);

        putKlient("Louthanová", "Barbora", "9.11.2001",
                "mejl@aa", "Sněhová 25", "34567",
                "Ústí nad Labem", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.CUKROVKA);

        putKlient("Macková", "Eva", "21.5.2001",
                "mejl@aa", "Sněhová 25", "34567",
                "Ústí nad Labem", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.CUKROVKA);

        putKlient("Nouzová", "Lucie", "19.4.2001",
                "mejl@aa", "Sněhová 25", "34567",
                "Ústí nad Labem", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.CUKROVKA);

        putKlient("Ouřadová", "Světlana", "4.11.2001",
                "mejl@aa", "Sněhová 25", "34567",
                "Ústí nad Labem", "777666555", Indikace.KATARY_HORNICH_CEST,
                Kontraindikace.CUKROVKA);
        //55
        putKlient("Král", "Jindřich", "8.9.1999",
                "mejl@aa", "Velká ulice 378", "87654",
                "Plzeň", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Pavlíček", "Pavel", "18.6.1999",
                "mejl@aa", "Velká ulice 378", "87654",
                "Plzeň", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Domeček", "Jan", "16.4.1999",
                "mejl@aa", "Velká ulice 378", "87654",
                "Plzeň", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.CUKROVKA);

        putKlient("Michálek", "Martin", "4.4.1999",
                "mejl@aa", "Velká ulice 378", "87654",
                "Plzeň", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Nováček", "Adam", "28.5.1999",
                "mejl@aa", "Velká ulice 378", "87654",
                "Plzeň", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);
        //60
        putKlient("Nováčková", "Klára", "28.5.1999",
                "mejl@aa", "Veselý Kopec 4", "23456",
                "Veselý Kopec", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Milerová", "Táňa", "6.4.1999",
                "mejl@aa", "Veselý Kopec 4", "23456",
                "Veselý Kopec", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Lišková", "Romana", "3.7.1999",
                "mejl@aa", "Veselý Kopec 4", "23456",
                "Veselý Kopec", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Kuchařová", "Dana", "23.3.1999",
                "mejl@aa", "Veselý Kopec 4", "23456",
                "Veselý Kopec", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Simonová", "Nina", "4.5.1999",
                "mejl@aa", "Veselý Kopec 4", "23456",
                "Veselý Kopec", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);
        //65
        putKlient("Trpálek", "Filip", "28.2.1996",
                "mejl@aa", "Trhová 225", "97531",
                "Lysá nad Labem", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Kala", "Petr", "2.12.1996",
                "mejl@aa", "Trhová 225", "97531",
                "Lysá nad Labem", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Víšek", "Michal", "15.1.1996",
                "mejl@aa", "Trhová 225", "97531",
                "Lysá nad Labem", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Svěrák", "Tomáš", "21.10.1996",
                "mejl@aa", "Trhová 225", "97531",
                "Lysá nad Labem", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Holý", "Pavel", "2.11.1996",
                "mejl@aa", "Trhová 225", "97531",
                "Lysá nad Labem", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.SNIZENA_POHYBLIVOST);
        //70
        putKlient("Mánková", "Martina", "5.2.1997",
                "mejl@aa", "Třešňová 6", "24689",
                "Týnec nad Sázavou", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Jandová", "Hermína", "16.5.1997",
                "mejl@aa", "Třešňová 6", "24689",
                "Týnec nad Sázavou", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Bílá", "Klára", "25.4.1997",
                "mejl@aa", "Třešňová 6", "24689",
                "Týnec nad Sázavou", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Cílková", "Světlana", "18.8.1997",
                "mejl@aa", "Třešňová 6", "24689",
                "Týnec nad Sázavou", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Nová", "Jana", "12.3.1997",
                "mejl@aa", "Třešňová 6", "24689",
                "Týnec nad Sázavou", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);
        //75
        putKlient("Král", "Martin", "15.4.1998",
                "mejl@aa", "Krásná 15", "46801",
                "Hradec Králové", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Lear", "Petr", "25.8.1998",
                "mejl@aa", "Krásná 15", "46801",
                "Hradec Králové", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Picek", "Gustav", "6.9.1998",
                "mejl@aa", "Krásná 15", "46801",
                "Hradec Králové", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Rálek", "Karel", "8.10.1998",
                "mejl@aa", "Krásná 15", "46801",
                "Hradec Králové", "777666555", Indikace.JINE,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Válek", "Vít", "9.9.1998",
                "mejl@aa", "Krásná 15", "46801",
                "Hradec Králové", "777666555", Indikace.JINE,
                Kontraindikace.CUKROVKA);
        //80
        putKlient("Králíčková", "Petra", "15.4.2000",
                "mejl@aa", "Králíčkova 725", "28465",
                "Pardubice", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Sovová", "Yveta", "16.1.2000",
                "mejl@aa", "Králíčkova 725", "28465",
                "Pardubice", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Rybková", "Marcela", "10.8.2000",
                "mejl@aa", "Králíčkova 725", "28465",
                "Pardubice", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Cílková", "Barbora", "10.10.2000",
                "mejl@aa", "Králíčkova 725", "28465",
                "Pardubice", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Beránková", "Marie", "26.10.2000",
                "mejl@aa", "Králíčkova 725", "28465",
                "Pardubice", "777666555", Indikace.ALERGICKA_RYMA,
                Kontraindikace.BEZ_OMEZENI);
        //85
        putKlient("Liška", "Lukáš", "7.3.2001",
                "mejl@aa", "Koulova 89", "90641",
                "Kroměříž", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Hanus", "Milan", "9.12.2001",
                "mejl@aa", "Koulova 89", "90641",
                "Kroměříž", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Chalupa", "Jan", "17.8.2001",
                "mejl@aa", "Koulova 89", "90641",
                "Kroměříž", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Monček", "Karel", "29.6.2001",
                "mejl@aa", "Koulova 89", "90641",
                "Kroměříž", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Oumrt", "Jan", "14.11.2001",
                "mejl@aa", "Koulova 89", "90641",
                "Kroměříž", "777666555", Indikace.CHRONICKA_BRONCHITIDA,
                Kontraindikace.BEZ_OMEZENI);
        //90
        putKlient("Cvalíková", "Linda", "27.3.2003",
                "mejl@aa", "nám. Dr. Horáka 8", "12345",
                "Praha", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Dvořáčková", "Radana", "8.12.2003",
                "mejl@aa", "nám. Dr. Horáka 8", "12345",
                "Praha", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Franková", "Milena", "5.6.2003",
                "mejl@aa", "nám. Dr. Horáka 8", "12345",
                "Praha", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Devonská", "Barbora", "14.5.2003",
                "mejl@aa", "nám. Dr. Horáka 8", "12345",
                "Praha", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Oblouková", "Lucie", "22.7.2003",
                "mejl@aa", "nám. Dr. Horáka 8", "12345",
                "Praha", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.POMOCOVANI);
        //95
        putKlient("Cicvárek", "Filip", "25.9.2004",
                "mejl@aa", "Půlkruhová 6", "65432",
                "Olomouc", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Dlouhý", "Dan", "12.5.2004",
                "mejl@aa", "Půlkruhová 6", "65432",
                "Olomouc", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Ruml", "Jakub", "21.3.2004",
                "mejl@aa", "Půlkruhová 6", "65432",
                "Olomouc", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Zeman", "Vilém", "9.9.2004",
                "mejl@aa", "Půlkruhová 6", "65432",
                "Olomouc", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Lelek", "Roman", "7.5.2004",
                "mejl@aa", "Půlkruhová 6", "65432",
                "Olomouc", "777666555", Indikace.SNIZENA_IMUNITA,
                Kontraindikace.BEZ_OMEZENI);
        //100
        putKlient("Tomanová", "Jarmila", "13.6.2005",
                "mejl@aa", "Týniště 452", "87654",
                "Velká Lhota", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Lukešová", "Klára", "3.11.2005",
                "mejl@aa", "Týniště 452", "87654",
                "Velká Lhota", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Holá", "Gábina", "8.12.2005",
                "mejl@aa", "Týniště 452", "87654",
                "Velká Lhota", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Chytrová", "Jiřina", "19.2.2005",
                "mejl@aa", "Týniště 452", "87654",
                "Velká Lhota", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);

        putKlient("Illeová", "Týna", "16.5.2005",
                "mejl@aa", "Týniště 452", "87654",
                "Velká Lhota", "777666555", Indikace.KATARY_DOLNICH_CEST,
                Kontraindikace.BEZ_OMEZENI);
    }
}
