package pobyty.business;

import java.util.*;
import org.smp.SmpException;
import pobyty.model.Poznamka;
import pobyty.model.PrihlaskaKlient;
import pobyty.model.klient.KlientId;
import pobyty.model.prihlaska.Prihlaska;
import pobyty.model.prihlaska.StavPrihlasky;
import pobyty.model.skupina.SkupinaId;
import pobyty.model.turnus.TurnusId;

class PrihlaskaDAOImpl implements PrihlaskaDAO {

    private Map<KlientId, Prihlaska> prihlasky = new HashMap<>();
    static int c;

    public PrihlaskaDAOImpl() {
    }

    @Override
    public Prihlaska find(KlientId klientId) {
        return prihlasky.get(klientId);
    }

    @Override
    public List<Prihlaska> all() {
        return new ArrayList<>(prihlasky.values());
    }

    @Override
    public List<Prihlaska> all(SkupinaId skupinaId) {
        List<Prihlaska> list = new ArrayList<>();
        for (Prihlaska prihlaska : all()) {
            if (prihlaska.getSkupinaId().equals(skupinaId)) {
                list.add(prihlaska);
            }
        }
        return list;
    }

    @Override
    public void update(KlientId klientId, TurnusId turnusId, Poznamka poznamka) {
        Prihlaska prihlaska = find(klientId);
        prihlaska.setPoznamka(poznamka);
        prihlaska.setTurnusId(turnusId);
        prihlaska.setPoznamka(poznamka);
    }

    @Override
    public void update(KlientId klientId, TurnusId turnusId, StavPrihlasky stavPrihlasky, Poznamka poznamka) {
        Prihlaska prihlaska = find(klientId);
        prihlaska.setTurnusId(turnusId);
        prihlaska.setStavPrihlasky(stavPrihlasky);
        prihlaska.setPoznamka(poznamka);
    }

    @Override
    public void update(KlientId id, StavPrihlasky stavPrihlasky, Poznamka poznamka) {
        find(id).setStavPrihlasky(stavPrihlasky);
    }

    @Override
    public void delete(KlientId id) {
        prihlasky.remove(id);

    }

    @Override
    public void add(KlientId klientId, TurnusId turnusId, Poznamka poznamka) {
        Prihlaska prihlaska = new Prihlaska(klientId, turnusId, StavPrihlasky.PRIHLASEN, poznamka);
        prihlasky.put(klientId, prihlaska);
    }

    @Override
    public void update(KlientId klientId, SkupinaId skupinaId) throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public int clientsCount(SkupinaId skupinaId) throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public List<PrihlaskaKlient> prihlaskaKlientJoin() throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public List<PrihlaskaKlient> prihlaskaKlientJoin(StavPrihlasky stavPrihlasky) throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public List<PrihlaskaKlient> prihlaskaKlientJoin(TurnusId turnusId) throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public int clientsCount(TurnusId turnusId) throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public List<PrihlaskaKlient> prihlaskaKlientJoin(SkupinaId skupinaId) throws SmpException {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
