package pobyty.business;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.turnus.Cena;
import pobyty.model.turnus.Kapacita;
import pobyty.model.turnus.Lokalita;
import pobyty.model.turnus.Turnus;
import pobyty.model.turnus.TurnusId;
import pobyty.model.turnus.Zkratka;

class TurnusDAOIml implements TurnusDAO {

    private Map<TurnusId, Turnus> turnusy = new TreeMap<>();
    static int counter;
    private Map<Lokalita, List<Turnus>> lokalitaTurnusMap = new HashMap<>();

    public TurnusDAOIml() {
    }

    @Override
    public Turnus find(TurnusId id) {
        return turnusy.get(id);
    }

    private void putTurnus(Turnus t) {
        turnusy.put(t.getTurnusId(), t);
    }

    @Override
    public final void add(Datum zacatek, Datum konec, Lokalita lokalita, Cena cena, Kapacita kapacita, Zkratka zkratka) {
        Turnus turnus = new Turnus(new TurnusId(++counter), zacatek, konec, lokalita, cena, kapacita, zkratka);
        putTurnus(turnus);
        List<Turnus> turnusList = getLokalitaTurnusMap().get(lokalita);
        if (turnusList == null) {
            turnusList = new ArrayList<>();
            getLokalitaTurnusMap().put(lokalita, turnusList);
        }
        turnusList.add(turnus);
        Collections.sort(turnusList);
    }

    @Override
    public List<Turnus> all() {
        List<Turnus> turnusList = new ArrayList<>();
        for (Map.Entry<Lokalita, List<Turnus>> e : getLokalitaTurnusMap().entrySet()) {
            turnusList.addAll(e.getValue());
        }
        return turnusList;
    }

    @Override
    public void update(TurnusId turnusId, Zkratka zkratka, Datum zacatek, Datum konec, Lokalita lokalita, Cena cena, Kapacita kapacita) throws SmpException {
        Turnus turnus = find(turnusId);
        turnus.setZkratka(zkratka);
        turnus.setZacatek(zacatek);
        turnus.setZacatek(zacatek);
        turnus.setZacatek(zacatek);
        turnus.setZacatek(zacatek);

    }

    @Override
    public void delete(TurnusId id) {
        Turnus t = find(id);
        turnusy.remove(id);
        for (Map.Entry<Lokalita, List<Turnus>> e : getLokalitaTurnusMap().entrySet()) {
            e.getValue().remove(t);
        }
    }

    /**
     * @return the lokalitaTurnusMap
     */
    public Map<Lokalita, List<Turnus>> getLokalitaTurnusMap() {
        return lokalitaTurnusMap;
    }
}
