package pobyty.model;

import java.sql.Date;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Locale;
import java.util.Objects;
import javax.validation.ValidationException;

public class Datum implements Comparable<Datum> {

    public Datum(Date date) {
        this.date = date;
    }
    private Date date;
    public static int DATE_SIZE = 10;

    public static Datum validate(String datum) throws ValidationException {
        if (datum == null) {
            throw new ValidationException("Prosím vyplňte datum ve formátu: den.měsíc.rok.");
        }
        DateFormat df = SimpleDateFormat.getDateInstance(DateFormat.MEDIUM, new Locale("cs"));
        try {
            return new Datum(new Date(df.parse(datum).getTime()));
        } catch (ParseException ex) {
            throw new ValidationException("Prosím vyplňte datum ve formátu: den.měsíc.rok.");
        }
    }

    /**
     * @return the date
     */
    public Date getDate() {
        return date;
    }

    /**
     * @param date the date to set
     */
    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public int compareTo(Datum that) {
        return this.date.compareTo(that.date);
    }

    @Override
    public String toString() {
        DateFormat df = DateFormat.getDateInstance(DateFormat.MEDIUM, new Locale("cs"));
        return df.format(date);
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj.getClass() != getClass()) {
            return false;
        }
        return date.equals(((Datum) obj).date);
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 71 * hash + Objects.hashCode(this.date);
        return hash;
    }
}
