package pobyty.model;

import javax.validation.ValidationException;

public class Jmeno {

    public static int JMENO_SIZE = 20;

    public static String colName() {
        return Jmeno.class.getSimpleName();
    }

    public static Jmeno validate(String jmeno) throws ValidationException {
        if (jmeno == null) {
            throw new ValidationException("Prosím vyplňte jméno.");
        }
        jmeno = jmeno.trim();
        if (jmeno.isEmpty()) {
            throw new ValidationException("Prosím vyplňte jméno.");
        }
        if (jmeno.length() > JMENO_SIZE) {
            throw new ValidationException(String.format("Jméno může být maximálně %d znaků.", JMENO_SIZE));
        }
        return new Jmeno(jmeno);
    }
    private String jmeno;

    public Jmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    /**
     * @return the jmeno
     */
    public String getJmeno() {
        return jmeno;
    }

    @Override
    public String toString() {
        return jmeno;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj.getClass() != getClass()) {
            return false;
        }
        return jmeno.equals(jmeno);
    }
}
