package pobyty.model;

import java.util.Objects;
import javax.validation.ValidationException;

public class Mesto {

    public static int MESTO_SIZE = 30;

    public static String colName() {
        return Mesto.class.getSimpleName();
    }

    public static Mesto validate(String mesto) throws ValidationException {
        if (mesto == null) {
            throw new ValidationException("Prosím vyplňte město.");
        }
        mesto = mesto.trim();
        if (mesto.isEmpty()) {
            throw new ValidationException("Prosím vyplňte město.");
        }
        if (mesto.length() > MESTO_SIZE) {
            throw new ValidationException(String.format("Město může být maximálně %d znaků.", MESTO_SIZE));
        }
        return new Mesto(mesto);
    }
    private String mesto;

    public Mesto(String mesto) {
        this.mesto = mesto;
    }

    /**
     * @return the mesto
     */
    public String getMesto() {
        return mesto;
    }

    @Override
    public String toString() {
        return mesto;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }

        return mesto.equals(((Mesto) obj).getMesto());
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 79 * hash + Objects.hashCode(this.mesto);
        return hash;
    }
}
