package pobyty.model;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.klient.Indikace;
import pobyty.model.klient.Klient;
import pobyty.model.klient.KlientId;
import pobyty.model.klient.Kontraindikace;
import pobyty.model.prihlaska.Prihlaska;
import pobyty.model.prihlaska.StavPrihlasky;
import pobyty.model.skupina.Skupina;
import pobyty.model.skupina.SkupinaId;
import pobyty.model.turnus.Turnus;
import pobyty.model.turnus.TurnusId;
import pobyty.model.turnus.Zkratka;

public class PrihlaskaKlient extends Klient {

    Prihlaska prihlaska;

    public PrihlaskaKlient(Prijmeni prijmeni, Jmeno jmeno, Datum narozeni, Mejl mejl,
            Ulice ulice, Mesto mesto, Psc psc, Telefon telefon, Indikace indikace,
            Kontraindikace kontraindikace, KlientId klentId,
            TurnusId turnusId, SkupinaId skupinaId, StavPrihlasky stavPrihlasky, Poznamka poznamka) {
        super(klentId, prijmeni, jmeno, narozeni, mejl, ulice, mesto, psc, telefon, indikace, kontraindikace);
        prihlaska = new Prihlaska(klentId, turnusId, skupinaId, stavPrihlasky, poznamka);
    }

    public Turnus getTurnus() throws SmpException {
        return prihlaska.getTurnus();
    }

    public Zkratka getZkratka() throws SmpException {
        return prihlaska.getZkratka();
    }

    public Skupina getSkupina() throws SmpException {
        SkupinaId sid = prihlaska.getSkupinaId();
        if (sid.equals(SkupinaId.NEDEF)) {
            return Skupina.NEDEF;
        }
        return Facade.getInstance().findSkupina(prihlaska.getSkupinaId());
    }

    public StavPrihlasky getStavPrihlasky() {
        StavPrihlasky sp = prihlaska.getStavPrihlasky();
        return sp;
    }

    public Poznamka getPoznamka() {
        return prihlaska.getPoznamka();
    }
}
