package pobyty.model;

import javax.validation.ValidationException;

public class Psc {

    public static int PSC_SIZE = 5;

    public static String colName() {
        return Psc.class.getSimpleName();
    }

    public static Psc validate(String psc) throws ValidationException {
        if (psc == null) {
            throw new ValidationException("Prosím vyplňte PSČ.");
        }
        psc = psc.trim();
        if (psc.isEmpty()) {
            throw new ValidationException("Prosím vyplňte PSČ.");
        }
        if (!psc.matches("\\d\\d\\d\\d\\d")) {
            throw new ValidationException("Chybný formát PSČ.");
        }
        return new Psc(psc);

    }
    private String psc;

    public Psc(String psc) {
        this.psc = psc;
    }

    /**
     * @return the psc
     */
    public String getPsc() {
        return psc;
    }

    @Override
    public String toString() {
        return psc;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }

        return psc.equals(((Psc) obj).getPsc());
    }

    @Override
    public int hashCode() {
        int hash = 7;
        return hash;
    }
}
