package pobyty.model;

import org.smp.ValidationException;

public class Ulice {

    public static int ULICE_SIZE = 30;

    public static String colName() {
        return Ulice.class.getSimpleName();
    }

    public static Ulice validate(String ulice) throws ValidationException {
        if (ulice == null) {
            throw new ValidationException("Prosím vyplňte ulici (obec) a číslo domu.");
        }
        ulice = ulice.trim();
        if (ulice.isEmpty()) {
            throw new ValidationException("Prosím vyplňte ulici (obec) a číslo domu.");
        }

        if (ulice.length() > ULICE_SIZE) {
            throw new ValidationException(String.format("Ulice může být maximálně %d znaků.", ULICE_SIZE));
        }

        return new Ulice(ulice);
    }
    private String ulice;

    public Ulice(String ulice) {
        this.ulice = ulice;
    }

    /**
     * @return the ulice
     */
    public String getUlice() {
        return ulice;
    }

    @Override
    public String toString() {
        return ulice;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj.getClass() != getClass()) {
            return false;
        }
        return ulice.equals(ulice);
    }
}
