package pobyty.model.doprovod;

import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.OsobaAdresa;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;

public class Doprovod extends OsobaAdresa {

    public static Doprovod NEDEF = new Doprovod(DoprovodId.NEDEF, new Prijmeni(""), new Jmeno(""), null,
            null, null, null, null, null);
    protected DoprovodId doprovodId;

    private Doprovod() {
    }

    public Doprovod(DoprovodId doprovodId, Prijmeni prijmeni, Jmeno jmeno,
            Datum narozeni, Mejl mejl, Ulice ulice, Mesto mesto, Psc psc,
            Telefon telefon) {
        super(prijmeni, jmeno, narozeni, mejl, ulice, mesto, psc, telefon);
        this.doprovodId = doprovodId;
    }

    @Override
    public String toString() {
        if (this == NEDEF) {
            return "neurčený";
        }
        return String.format("%s %s", getPrijmeni(), getJmeno());
    }

    /**
     * @return the idDoprovod
     */
    public DoprovodId getDoprovodId() {
        return (DoprovodId) doprovodId;
    }
}
