package pobyty.model.klient;

import org.smp.SetPage;
import org.smp.SmpException;
import org.smp.ValidationException;
import org.smp.pages.Page;

public enum Indikace implements SetPage {

    VYBERTE,
    ASTMA,
    CHRONICKA_BRONCHITIDA,
    KATARY_DOLNICH_CEST,
    KATARY_HORNICH_CEST,
    SNIZENA_IMUNITA,
    ALERGICKA_RYMA,
    JINE;

    public static int size() {
        int size = 0;
        for (Indikace i : values()) {
            size = Math.max(size, i.toString().length());
        }
        return size;
    }

    public static String colName() {
        return Indikace.class.getSimpleName();
    }

    public String getIndikaceId() {
        return super.toString();
    }

    @Override
    public String toString() {
        switch (this) {
            case VYBERTE:
                return "";
            case ASTMA:
                return "astma";
            case CHRONICKA_BRONCHITIDA:
                return "chronická bronchitida";
            case KATARY_DOLNICH_CEST:
                return "katary dolních cest";
            case KATARY_HORNICH_CEST:
                return "katary horních cest";
            case SNIZENA_IMUNITA:
                return "snížená imunita";
            case ALERGICKA_RYMA:
                return "alergická rýma";
            case JINE:
                return "jiné onemocnění uveďte v poznámce";
        }
        return null;
    }

    public boolean getSelectedIndikace() throws SmpException {
        Object item = page.getItem("indikace");
        if (item instanceof Indikace) {
            return this == item;    // item  z pageBean
        } else {
            return getIndikaceId().equals(item);  // item z requestu
        }
    }

    public static Indikace validate(String value) throws ValidationException {
        Indikace i = valueOf(value);
        if (i == VYBERTE) {
            throw new ValidationException("Vyberte onemocnění.");
        }
        return i;
    }
    private Page page;

    /**
     * @param page the page to set
     */
    @Override
    public void setPage(Page page) {
        this.page = page;
    }
}
