package pobyty.model.klient;

import java.sql.Date;
import java.util.Calendar;
import java.util.GregorianCalendar;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.OsobaAdresa;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;

public class Klient extends OsobaAdresa {

    private Indikace indikace;
    private Kontraindikace kontraindikace;

    public static int getVek(Date date) {
        Calendar cal = GregorianCalendar.getInstance();
        cal.setTime(date);
        int rokNarozeni = cal.get(GregorianCalendar.YEAR);
        int dnesniRok = GregorianCalendar.getInstance().get(GregorianCalendar.YEAR);
        return dnesniRok - rokNarozeni;
    }
    KlientId klientId;

    public Klient(KlientId klientId, Prijmeni prijmeni, Jmeno jmeno,
            Datum narozeni, Mejl mejl, Ulice ulice, Mesto mesto, Psc psc,
            Telefon telefon, Indikace indikace, Kontraindikace kontraindikace) {
        super(prijmeni, jmeno, narozeni, mejl, ulice, mesto, psc, telefon);
        this.klientId = klientId;
        this.indikace = indikace;
        this.kontraindikace = kontraindikace;
    }

    public KlientId getKlientId() {
        return klientId;
    }

    public Indikace getIndikace() {
        return indikace;
    }

    public Kontraindikace getKontraindikace() {
        return kontraindikace;
    }

    public int getVek() {
        return getVek(getNarozeni().getDate());
    }

    /**
     * @param indikace the indikace to set
     */
    public void setIndikace(Indikace indikace) {
        this.indikace = indikace;
    }

    /**
     * @param kontraindikace the kontraindikace to set
     */
    public void setKontraindikace(Kontraindikace kontraindikace) {
        this.kontraindikace = kontraindikace;
    }

    @Override
    public String toString() {
        return String.format("příjmení: %s", getPrijmeni());
    }
}
