package pobyty.model.klient;

import java.util.Objects;
import org.smp.ValidationException;

public class KlientId implements Comparable<KlientId> {

    private String klientId;
    public static int KLIENTID_SIZE = 10;

    public static String colName() {
        return KlientId.class.getSimpleName();
    }

    public static KlientId validate(String idStr) throws ValidationException {
        if (idStr == null) {
            throw new ValidationException("Prosím vyplňte ID kód.");
        }

        if (idStr.length() < (KLIENTID_SIZE - 4)) {
            throw new ValidationException(String.format("ID kód musí mít minimálně %d znaků.", KLIENTID_SIZE - 4));
        }

        if (idStr.length() > KLIENTID_SIZE) {
            throw new ValidationException(String.format("ID kód je maximálně %d znaků.", KLIENTID_SIZE));
        }
        return new KlientId(idStr);
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 97 * hash + Objects.hashCode(this.klientId);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final KlientId other = (KlientId) obj;
        if (!Objects.equals(this.klientId, other.klientId)) {
            return false;
        }
        return true;
    }

    public KlientId(String id) {
        klientId = id;
    }

    public String getKlientId() {
        return klientId;
    }

    @Override
    public String toString() {
        return klientId;
    }

    @Override
    public int compareTo(KlientId o) {
        return getKlientId().compareTo(o.getKlientId());
    }
}
