package pobyty.model.klient;

import org.smp.SetPage;
import org.smp.SmpException;
import org.smp.ValidationException;
import org.smp.pages.Page;

public enum Kontraindikace implements SetPage {

    VYBERTE,
    BEZ_OMEZENI,
    DIETA,
    CUKROVKA,
    SNIZENA_POHYBLIVOST,
    MENTALNI_RETARDACE,
    POMOCOVANI,
    JINE;

    public static int size() {
        int size = 0;
        for (Kontraindikace i : values()) {
            size = Math.max(size, i.toString().length());
        }
        return size;
    }

    public static String colName() {
        return Kontraindikace.class.getSimpleName();
    }

    public String getKontraindikaceId() {
        return super.toString();
    }

    @Override
    public String toString() {
        switch (this) {
            case VYBERTE:
                return "";
            case BEZ_OMEZENI:
                return "bez omezení";
            case DIETA:
                return "dieta";
            case CUKROVKA:
                return "cukrovka";
            case SNIZENA_POHYBLIVOST:
                return "snížená pohyblivost";
            case MENTALNI_RETARDACE:
                return "mentální retardace";
            case POMOCOVANI:
                return "pomočování";
            case JINE:
                return "jiné omezení uveďte v poznámce";
        }
        return null;
    }

    public boolean getSelectedKontraindikace() throws SmpException {
        Object item = page.getItem("kontraindikace");
        if (item instanceof Kontraindikace) {
            return this == item; // item  z pageBean
        } else {
            return getKontraindikaceId().equals(item);  // item z requestu
        }
    }

    public static Kontraindikace validate(String value) throws ValidationException {
        Kontraindikace ki = valueOf(value);
        if (ki == VYBERTE) {
            throw new ValidationException("Vyberte zdravotní omezení.");
        }
        return ki;
    }
    Page page;

    @Override
    public void setPage(Page page) {
        this.page = page;
    }
}
