package pobyty.model.prihlaska;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.Poznamka;
import pobyty.model.klient.*;
import pobyty.model.skupina.Skupina;
import pobyty.model.skupina.SkupinaId;
import pobyty.model.turnus.Turnus;
import pobyty.model.turnus.TurnusId;
import pobyty.model.turnus.Zkratka;

public class Prihlaska {

    private KlientId klientId;
    private Klient klient;
    private TurnusId turnusId;
    private Turnus turnus;
    private SkupinaId skupinaId = SkupinaId.NEDEF;
    private StavPrihlasky stavPrihlasky;
    private Poznamka poznamka;

    public Prihlaska(KlientId klientId, TurnusId turnusId, SkupinaId skupinaId, StavPrihlasky stavPrihlasky, Poznamka poznamka) {
        this(klientId, turnusId, stavPrihlasky, poznamka);
        this.skupinaId = skupinaId;
    }

    public Prihlaska(KlientId klentId, TurnusId turnusId, StavPrihlasky stavPrihlasky, Poznamka poznamka) {
        this.klientId = klentId;
        this.turnusId = turnusId;
        this.stavPrihlasky = stavPrihlasky;
        this.poznamka = poznamka;

    }

    public Skupina getSkupina() throws SmpException {
        if (skupinaId.equals(SkupinaId.NEDEF)) {
            return Skupina.NEDEF;
        }
        return Facade.getInstance().findSkupina(skupinaId);
    }

    /**
     * @return the getSkupinaId
     */
    public SkupinaId getSkupinaId() {
        return skupinaId;
    }

    /**
     * @param getSkupinaId the getSkupinaId to set
     */
    public void setSkupinaId(SkupinaId skupinaId) {
        this.skupinaId = skupinaId;
    }

    /**
     * @return the klientId
     */
    public KlientId getKlientId() {
        return klientId;
    }

    /**
     * @return the stav
     */
    public StavPrihlasky getStavPrihlasky() {
        return stavPrihlasky;
    }

    /**
     * @param stav the stav to set
     */
    public void setStavPrihlasky(StavPrihlasky stavPrihlasky) {
        this.stavPrihlasky = stavPrihlasky;
    }

    /**
     * @return the poznamka
     */
    public Poznamka getPoznamka() {
        return poznamka;
    }

    /**
     * @param poznamka the poznamka to set
     */
    public void setPoznamka(Poznamka poznamka) {
        this.poznamka = poznamka;
    }

    @Override
    public String toString() {
        return String.format("klientId=%s, turnusdId=%s, skupinaId=%s, stavPrihlasky=%s, poznamka=%s", klientId, getTurnusId(), skupinaId, stavPrihlasky, poznamka);
    }

    /**
     * @return the klient
     */
    public Klient getKlient() throws SmpException {
        if (klient == null) {
            klient = Facade.getInstance().findKlient(klientId);
        }
        return klient;
    }

    public Turnus getTurnus() throws SmpException {
        if (turnus == null || !turnus.getTurnusId().equals(turnusId)) {
            turnus = Facade.getInstance().findTurnus(getTurnusId());
        }
        return turnus;
    }

    public int getCena() throws SmpException {
        return getTurnus().getCena().getCena();
    }

    public Zkratka getZkratka() throws SmpException {
        return getTurnus().getZkratka();
    }

    /**
     * @return the turnusId
     */
    public TurnusId getTurnusId() {
        return turnusId;
    }

    /**
     * @param turnusId the turnusId to set
     */
    public void setTurnusId(TurnusId turnusId) {
        this.turnusId = turnusId;
        turnus = null;
    }
}
