package pobyty.model.turnus;

import org.smp.ValidationException;

public class Kapacita {

    public static int KAPACITA_SIZE = 4;

    public static String colName() {
        return Kapacita.class.getSimpleName();
    }

    public static Kapacita validate(String cenaStr) throws ValidationException {
        int kapacita;
        try {
            kapacita = Integer.parseInt(cenaStr);
        } catch (NumberFormatException e) {
            throw new ValidationException("Neplatná kapacita.");
        }
        if (kapacita < 0) {
            throw new ValidationException("Neplatná kapacita.");
        }
        return new Kapacita(kapacita);
    }
    private int kapacita;

    public Kapacita(int kapacita) {
        this.kapacita = kapacita;
    }

    @Override
    public String toString() {
        return Integer.toString(getKapacita());
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj.getClass() != getClass()) {
            return false;
        }
        return ((Kapacita) obj).getKapacita() == getKapacita();
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 71 * hash + getKapacita();
        return hash;
    }

    /**
     * @return the kapacita
     */
    public int getKapacita() {
        return kapacita;
    }
}
