package pobyty.model.turnus;

import java.util.Objects;
import org.smp.ValidationException;

public class Lokalita {

    public static int LOKALITA_SIZE = 15;

    public static String colName() {
        return Lokalita.class.getSimpleName();
    }
    private String lokalita;

    public static Lokalita validate(String lokalita) throws ValidationException {
        if (lokalita == null) {
            throw new ValidationException("Prosím vyplňte lokalitu.");
        }
        lokalita = lokalita.trim();
        if (lokalita.isEmpty()) {
            throw new ValidationException("Prosím vyplňte lokalitu.");
        }
        if (lokalita.length() > LOKALITA_SIZE) {
            throw new ValidationException(String.format("Lokalita může být dlouhá maximálně %d znaků.", LOKALITA_SIZE));
        }
        return new Lokalita(lokalita);
    }

    public Lokalita(String lokalita) {
        this.lokalita = lokalita;
    }

    public String getAcronym() {
        return lokalita.substring(0, Math.min(3, lokalita.length()));
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj.getClass() != Lokalita.class) {
            return false;
        }
        return lokalita.equals(((Lokalita) obj).lokalita);
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 53 * hash + Objects.hashCode(this.lokalita);
        return hash;
    }

    @Override
    public String toString() {
        return lokalita;
    }
}
