package pobyty.model.turnus;

import org.smp.ValidationException;

public class Zkratka {

    public static int ZKRATKA_SIZE = 10;

    public static String colName() {
        return Zkratka.class.getSimpleName();
    }

    public static Zkratka validate(String zkratka) throws ValidationException {
        if (zkratka == null) {
            throw new ValidationException("Prosím vyplňte zkratku.");
        }
        zkratka = zkratka.trim();
        if (zkratka.isEmpty()) {
            throw new ValidationException("Prosím vyplňte zkratku.");
        }
        if (zkratka.length() > ZKRATKA_SIZE) {
            throw new ValidationException(String.format("Zkratka může být maximálně %d znaků.", ZKRATKA_SIZE));
        }
        return new Zkratka(zkratka);
    }
    private String zkratka;

    public Zkratka(String zkratka) {
        this.zkratka = zkratka;
    }

    /**
     * @return the zkratka
     */
    public String getZkratka() {
        return zkratka;
    }

    @Override
    public String toString() {
        return zkratka;
    }
}
