package pobyty.model.uzivatel;

import org.smp.SetPage;
import org.smp.SmpException;
import org.smp.ValidationException;
import org.smp.pages.Page;

public enum RoleUzivatele implements SetPage {

    UNDEF,
    REFERENT,
    LEKAR;
    private Page page;
    public static int ROLEUZIVATELE_SIZE = 10;

    public static String colName() {
        return RoleUzivatele.class.getSimpleName();
    }

    public String getRoleUzivateleId() {
        return super.toString();
    }

    @Override
    public String toString() {
        switch (this) {
            case UNDEF:
                return "vyberte roli";
            case LEKAR:
                return "lékař";
            case REFERENT:
                return "referent";
            default:
                return null;
        }
    }

    public boolean getSelectedRoleUzivatele() throws SmpException {
        Object roleUzivatele = page.getItem("roleUzivatele");
        if (roleUzivatele instanceof RoleUzivatele) {
            return this == roleUzivatele;
        }
        return getRoleUzivateleId().equals(roleUzivatele);
    }

    public static RoleUzivatele validate(String value) throws ValidationException {
        RoleUzivatele i = valueOf(value);
        if (i == UNDEF) {
            throw new ValidationException("Vyberte roli.");
        }
        return i;
    }

    /**
     * @param page the page to set
     */
    @Override
    public void setPage(Page page) {
        this.page = page;
    }
}
