package pobyty.model.uzivatel;

import java.util.Objects;
import org.smp.ValidationException;

public class Username {

    public static int USERNAME_SIZE = 12;
    static final String PRAZDNY_USERNAME = "Username nesmí být prázdný.";

    public static String colName() {
        return Username.class.getSimpleName();
    }

    public static Username validate(String usernameStr) throws ValidationException {
        if (usernameStr == null) {
            throw new ValidationException(PRAZDNY_USERNAME);
        }
        usernameStr = usernameStr.trim();
        if (usernameStr.isEmpty()) {
            throw new ValidationException(PRAZDNY_USERNAME);
        }
        if (usernameStr.length() > USERNAME_SIZE) {
            throw new ValidationException(String.format("Username může být maximálně %d znaků.", USERNAME_SIZE));
        }
        Username un = new Username(usernameStr);
        return un;
    }

    public Username(String username) {
        this.username = username;
    }
    private String username;

    /**
     * @return the username
     */
    public String getUsername() {
        return username;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj.getClass() != this.getClass()) {
            return false;
        }
        return username.equals(((Username) obj).username);
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 53 * hash + Objects.hashCode(this.username);
        return hash;
    }

    @Override
    public String toString() {
        return username;
    }
}
