package pobyty.stranky.referentcast;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import pobyty.model.OsobaAdresa;
import pobyty.stranky.AbstrPobytyStranka;

public abstract class AbstrReferentStranka extends AbstrPobytyStranka {

    @Override
    public String getTemplatePath() {
        return "/referentcast/ReferentTemplate.xhtml";
    }

    protected String filtr(String filtrStr) {
        if (filtrStr == null) {
            return "";
        }
        return filtrStr;
    }

    public static <T extends OsobaAdresa> void sortOsobaAdresa(List<T> klienti, String by) {
        if (by == null) {
            return;
        }
        if (by.equals("prijmeniUp")) {
            Collections.sort(klienti, new Comparator<OsobaAdresa>() {
                @Override
                public int compare(OsobaAdresa o1, OsobaAdresa o2) {
                    return o1.getPrijmeni().compareTo(o2.getPrijmeni());
                }
            });
        }
        if (by.equals("prijmeniDwn")) {
            Collections.sort(klienti, new Comparator<OsobaAdresa>() {
                @Override
                public int compare(OsobaAdresa o1, OsobaAdresa o2) {
                    return o2.getPrijmeni().compareTo(o1.getPrijmeni());
                }
            });
        }
        if (by.equals("narozenUp")) {
            Collections.sort(klienti, new Comparator<OsobaAdresa>() {
                @Override
                public int compare(OsobaAdresa o1, OsobaAdresa o2) {
                    return o1.getNarozeni().compareTo(o2.getNarozeni());
                }
            });
        }
        if (by.equals("narozenDwn")) {
            Collections.sort(klienti, new Comparator<OsobaAdresa>() {
                @Override
                public int compare(OsobaAdresa o1, OsobaAdresa o2) {
                    return o2.getNarozeni().compareTo(o1.getNarozeni());
                }
            });
        }
    }
}
